Subject: Re: [PATCH v6 00/39] SHA-256, part 3/3

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 10 Mar 2021 13:04:37 +0100

[I couldn't find a more relevant thing to reply to]

On Thu, Jul 30 2020, brian m. carlson wrote:

> [...]

B.t.w. thanks again for all your work on SHA-1 -> SHA-256.

I found a missing spot that wasn't trivial to fix, so sending an E-Mail:

In git-filter-branch.sh we have:

_x40='[0-9a-f][0-9a-f][0-9a-f][0-9a-f][0-9a-f]'
_x40="$_x40$_x40$_x40$_x40$_x40$_x40$_x40$_x40"

Then later we have a case condition based on matching a SHA-1:

        $_x40)
                echo "Ref '$ref' was rewritten"
                if ! git update-ref -m "filter-branch: rewrite" \

Just deleting that case arm has filter-branch tests passing, so whatever
it's meant to do it has zero coverage, which explains why it hasn't
broken with our tests.

I didn't have time to dig, so sending off this E-Mail instead.